libzypp 17.37.10

zypp::HistoryLogDataStampCommand Class Reference

A zypp history log line identifying the program that triggered the following commit. More...

`#include <zypp/HistoryLogData.h>`

Inheritance diagram for zypp::HistoryLogDataStampCommand:

## Public Types
enum | Index { DATE_INDEX = HistoryLogData::DATE_INDEX , ACTION_INDEX = HistoryLogData::ACTION_INDEX , USER_INDEX , COMMAND_INDEX , USERDATA_INDEX }
| < indices of known fields More...
using | Ptr = shared_ptr<HistoryLogDataStampCommand>
using | constPtr = shared_ptr<const HistoryLogDataStampCommand>
Public Types inherited from zypp::HistoryLogData
enum | Index { DATE_INDEX = 0 , ACTION_INDEX = 1 }
| < indices of known fields More...
using | Ptr = shared_ptr<HistoryLogData>
using | constPtr = shared_ptr<const HistoryLogData>
using | FieldVector = std::vector<std::string>
using | size_type = FieldVector::size_type
using | const_iterator = FieldVector::const_iterator

## Public Member Functions
| HistoryLogDataStampCommand (FieldVector &fields_r)
| Ctor moving FieldVector (via swap).
std::string | executedBy () const
| executed by user@hostname
std::string | command () const
| the commandline executed
std::string | userdata () const
| userdata/transactionID
Public Member Functions inherited from zypp::HistoryLogData
| HistoryLogData (FieldVector &fields_r, size_type expect_r=2)
| Ctor moving FieldVector (via swap).
| HistoryLogData (FieldVector &fields_r, HistoryActionID action_r, size_type expect_r=2)
| Ctor moving FieldVector (via swap).
virtual | ~HistoryLogData ()
| Dtor.
bool | empty () const
| Whether FieldVector is empty.
size_type | size () const
| Number of fields in vector.
const_iterator | begin () const
| Iterator pointing to 1st element in vector (or end()).
const_iterator | end () const
| Iterator pointing behind the last element in vector.
const std::string & | optionalAt (size_type idx_r) const
| Access (optional) field by number.
const std::string & | operator[] (size_type idx_r) const
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts.
const std::string & | at (size_type idx_r) const
| Access (required) field by number.
Date | date () const
| date
HistoryActionID | action () const
| HistoryActionID (or `NONE_e` if unknown)

## Additional Inherited Members
Static Public Member Functions inherited from zypp::HistoryLogData
static Ptr | create (FieldVector &fields_r)
| Factory method creating HistoryLogData classes.
Protected Member Functions inherited from zypp::HistoryLogData
HistoryLogData & | operator= (const HistoryLogData &)
| no base class assign
Related Symbols inherited from zypp::HistoryLogData
std::ostream & | operator<< (std::ostream &str, const HistoryLogData &obj)
| Stream output.

## Detailed Description

A zypp history log line identifying the program that triggered the following commit.

Definition at line 441 of file HistoryLogData.h.

## Member Typedef Documentation

## ◆ Ptr

using zypp::HistoryLogDataStampCommand::Ptr = shared_ptr<HistoryLogDataStampCommand>

Definition at line 444 of file HistoryLogData.h.

## ◆ constPtr

using zypp::HistoryLogDataStampCommand::constPtr = shared_ptr<const HistoryLogDataStampCommand>

Definition at line 445 of file HistoryLogData.h.

## Member Enumeration Documentation

## ◆ Index

enum zypp::HistoryLogDataStampCommand::Index

< indices of known fields

Enumerator
DATE_INDEX |
ACTION_INDEX |
USER_INDEX | executed by user@hostname
COMMAND_INDEX | the commandline executed
USERDATA_INDEX | userdata/transactionID

Definition at line 452 of file HistoryLogData.h.

## Constructor & Destructor Documentation

## ◆ HistoryLogDataStampCommand()

zypp::HistoryLogDataStampCommand::HistoryLogDataStampCommand | ( | FieldVector & | fields_r | ) |

Ctor moving FieldVector (via swap).

Exceptions

  ParseException | if fields_r has the wrong HistoryActionID or number of fields.

Definition at line 325 of file HistoryLogData.cc.

## Member Function Documentation

## ◆ executedBy()

std::string zypp::HistoryLogDataStampCommand::executedBy | ( |  | ) | const

executed by user@hostname

Definition at line 328 of file HistoryLogData.cc.

## ◆ command()

std::string zypp::HistoryLogDataStampCommand::command | ( |  | ) | const

the commandline executed

Definition at line 329 of file HistoryLogData.cc.

## ◆ userdata()

std::string zypp::HistoryLogDataStampCommand::userdata | ( |  | ) | const

userdata/transactionID

Definition at line 330 of file HistoryLogData.cc.

The documentation for this class was generated from the following files:

- zypp/HistoryLogData.h
- zypp/HistoryLogData.cc